package riomhaire.lti.core.model.interfaces;


/**
 * Generic interface of retrieve something by this key
 */
public interface UniKeyResolver<R,P> {
    /**
     * Return information associated with the key
     * 
     * @param key    ... This is canvas/blackboard or some other entity
     * @return  object if found
     */
    R lookup(P key);
}
